- Qt 6.8
- Qt GUI
- C++ Classes
- QtGuiPrivate
- NativeTexture
- Qt 6.8.3 Reference Documentation

# NativeTexture Struct

struct QRhiTexture::NativeTexture

Contains information about the underlying native resources of a texture. More...

- List of all members, including inherited members

## Public Variables

int | layout
quint64 | object

## Detailed Description

## Member Variable Documentation

### int NativeTexture::layout

Specifies the current image layout for APIs like Vulkan.

For Vulkan, `layout` contains a `VkImageLayout` value.

### quint64 NativeTexture::object

64-bit integer containing the native object handle.

With OpenGL, the native handle is a GLuint value, so `object` can then be cast to a GLuint. With Vulkan, the native handle is a VkImage, so `object` can be cast to a VkImage. With Direct3D 11 and Metal `object` contains a ID3D11Texture2D or MTLTexture pointer, respectively. With Direct3D 12 `object` contains a ID3D12Resource pointer.